query listTeamMembers @auth(level: USER) {
  teamMembers {
    id
    teamId
    role
    title
    department
    teamHubId
    isActive
    createdAt

    user {
      fullName
      email
    }

    teamHub{
      hubName
    }

  }
}

query getTeamMemberById($id: UUID!) @auth(level: USER) {
  teamMember(id: $id) {
    id
    teamId
    role
    title
    department
    teamHubId
    isActive
    createdAt

    user {
      fullName
      email
    }

    teamHub{
      hubName
    }
  }
}

query getTeamMembersByTeamId($teamId: UUID!) @auth(level: USER) {
  teamMembers(where: { teamId: { eq: $teamId } }) {
    id
    teamId
    role
    title
    department
    teamHubId
    isActive
    createdAt

    user {
      fullName
      email
    }

    teamHub{
      hubName
    }
  }
}
